The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Cloning php profile in WHM 54.0 (build 12) + ea4

Discussion in 'EasyApache' started by Julien75, Feb 8, 2016.

  1. Julien75

    Julien75 Registered

    Joined:
    Feb 8, 2016
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Paris
    cPanel Access Level:
    Root Administrator
    Hi,

    I'm currently root administrator of few cpanel VPS, that are running on Centos 6.7, WHM 54.0 (build 12), with ea3.

    I wanted to test ea4, especially for a customer that doesn't need PHP handler (no suphp, nor cgi). I built a trial whm VPS, and freshly updated it to EA4, and can manage handlers from now on.

    I was looking for a way to clone one of the 3 current "php package" (ea-php54; ea-php55; ea-php56), to use a new custom package, without suphp, but I did find it in the UI.

    Does somebody knows a method to achieve this need ? Is it possible ?

    Thanks a lot,

    Jul
     
  2. cPJacob

    cPJacob cPanel Product Owner
    Staff Member

    Joined:
    May 2, 2014
    Messages:
    509
    Likes Received:
    65
    Trophy Points:
    28
    cPanel Access Level:
    DataCenter Provider
    Twitter:
    Hi,

    PHP packages are installed from a different package than suPHP:
    ea-php* contains PHP binaries and associated files.
    ea-apache24-mod_suphp contains the suPHP binaries.

    Are you advising that your client does not need PHP at all? If they do, then Apache needs a handler so it knows how to handle the *.php files it tries to serve.

    Could you provide a bit more information as to what you're trying to accomplish?
     
  3. Julien75

    Julien75 Registered

    Joined:
    Feb 8, 2016
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Paris
    cPanel Access Level:
    Root Administrator
    Hi Jacob,

    Basically, I need to deploy a website that requires php-apc, that is not compliant with suPHP.

    Thanks for your help

    Julien
     
  4. Julien75

    Julien75 Registered

    Joined:
    Feb 8, 2016
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Paris
    cPanel Access Level:
    Root Administrator
    Hi Jacob,

    In fact, I would like to setup an account that is not using suphp, because my customer uses Symfony framework, with APC, and APC doesn't support suPHP.

    All customers others are already using php5.5 with suphp, that's why I would like to create a 5.5-nosuphp profile.

    Julien
     
  5. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,830
    Likes Received:
    672
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Hello :)

    As I understand, you are seeking to utilize the following:

    PHP 5.5 with suPHP as the PHP handler
    PHP 5.5 with DSO as the PHP handler

    Currently, it's only possible to utilize one PHP handler for each version of PHP installed.

    Thank you.
     
Loading...

Share This Page